<?php
/**
 * @package n3t Contact plugin
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2014 - 2016 - Pavel Poles - n3t.cz
 * @license
**/

defined('_JEXEC') or die;

class n3tContactLayout extends JLayoutFile {  
    
  protected function refreshIncludePaths() {
    parent::refreshIncludePaths();
    $this->addIncludePaths(JPATH_PLUGINS . '/system/n3tcontact/layouts');
    $this->addIncludePaths(JPATH_THEMES . '/' . JFactory::getApplication()->getTemplate() . '/html/layouts');
  }
    
  public static function renderLayout($layoutFile, $displayData = null) {
		$layout = new n3tContactLayout($layoutFile);    
		$renderedLayout = $layout->render($displayData);

		return $renderedLayout;    
  }
  
} 